"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ora = require("ora");
const spinner = (() => {
    let spinner;
    return {
        spin: (text) => {
            if (!spinner)
                spinner = ora(text);
            if (!spinner.isSpinning)
                spinner.start();
            if (spinner.text !== text)
                spinner.text = text;
        },
        end: () => {
            if (spinner)
                spinner.stop();
        }
    };
})();
exports.default = spinner;
//# sourceMappingURL=spinner.js.map